import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'follow' },
})
export class Follow extends BaseModel {
  @prop({ required: false, index: true, zh: '用户id' })
  student: string;
  @prop({ required: false, index: false, zh: '来源id' })
  source: string;
  @prop({ required: false, index: true, zh: '类型' })
  type: string;
  @prop({ required: false, index: true, zh: '时间' })
  time: string;
}
