import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'config' },
})
export class Config extends BaseModel {
  @prop({ required: false, index: false, zh: '标题' })
  title: string;
  @prop({ required: false, index: false, zh: 'logo' })
  logo: Array<any>;
  @prop({ required: false, index: false, zh: '联系电话' })
  phone: string;
  @prop({ required: false, index: false, zh: '用户默认头像' })
  icon: Array<any>;
  @prop({ required: false, index: false, zh: '首页轮播图' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '底部提示语' })
  bottom_title: string;
  @prop({ required: false, index: false, zh: '通知' })
  notice: string;
  @prop({ required: false, index: false, zh: '用户协议' })
  agreement: string;
  @prop({ required: false, index: false, zh: '简介' })
  brief: string;
}
