import { registerErrorCode } from '@midwayjs/core';

export enum ErrorCode {
  SERVICE_ERROR = '400',
  SERVICE_CANT_USE = '400-1',
  NO_PERMISSION = '401',
  USER_NOT_FOUND = '401-1',
  BAD_PASSWORD = '401-2',
  NOT_LOGIN = '401-3',
  ACCOUNT_HAS_EXPIRED = '401-4',
  ACCOUNT_LOGGED_IN_ELESWHERE = '401-5',
  USER_IS_DISABLED = '401-6',
  ROLE_IS_DISABLED = '401-7',
  SERVICE_REPEAT = '401-8',
}
export const FrameErrorEnum = registerErrorCode('FrameError', ErrorCode);
