import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Config } from '../../entity/system/config.entity';
type modelType = ReturnModelType<typeof Config>;
@Provide()
export class ConfigService extends BaseService<modelType> {
  @InjectEntityModel(Config)
  model: modelType;
}
