import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1'; //120.48.146.1
const redisHost = '120.48.146.1';
const redisPwd = '123456';
const redisDB = 6;
const projectDB = 'learn';
const loginSign = 'learnDev';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1697684406848_4078',
  loginSign,
  koa: {
    port: 18000,
    globalPrefix: '/learn/api',
  },
  swagger: {
    swaggerPath: '/doc/api',
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: 3600, // 3600
  },
  dbName: projectDB,
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${projectDB}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      }
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: redisHost, // Redis host
      password: redisPwd,
      db: redisDB,
    },
  },
  bull: {
    // 默认的队列配置
    defaultQueueOptions: {
      redis: {
        port: 6379,
        host: redisHost,
        password: redisPwd,
        db: redisDB,
      },
    },
  },
  upload: {
    whitelist: null,
  },
} as MidwayConfig;
