import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'order' },
})
export class Order extends BaseModel {
  @prop({ required: false, index: true, zh: '用户id' })
  student: string;
  @prop({ required: false, index: true, zh: '课程id' })
  course: string;
  @prop({ required: false, index: false, zh: '总金额' })
  total: number;
  @prop({ required: false, index: false, zh: '下单时间' })
  buy_time: string;
  @prop({ required: false, index: false, zh: '订单号' })
  no: string;
  @prop({ required: false, index: false, zh: '支付数据' })
  pay: string;
  @prop({ required: false, index: true, zh: '订单状态' })
  status: string;
}
