import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Order } from '../../entity/core/order.entity';
type modelType = ReturnModelType<typeof Order>;
@Provide()
export class OrderService extends BaseService<modelType> {
  @InjectEntityModel(Order)
  model: modelType;
}
