import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Student } from '../../entity/core/student.entity';
type modelType = ReturnModelType<typeof Student>;
@Provide()
export class StudentService extends BaseService<modelType> {
  @InjectEntityModel(Student)
  model: modelType;
}
