import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Teacher } from '../../entity/core/teacher.entity';
type modelType = ReturnModelType<typeof Teacher>;
@Provide()
export class TeacherService extends BaseService<modelType> {
  @InjectEntityModel(Teacher)
  model: modelType;
}
